summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md19
-rw-r--r--buildfile9
-rw-r--r--libxsd-tests/manifest4
-rw-r--r--libxsd/manifest4
-rw-r--r--xsd-examples/manifest4
-rw-r--r--xsd-tests/manifest4
-rw-r--r--xsd/build/bootstrap.build1
-rw-r--r--xsd/manifest9
8 files changed, 37 insertions, 17 deletions
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..c856fee
--- /dev/null
+++ b/README.md
@@ -0,0 +1,19 @@
+# XSD
+
+XSD is an XML Schema to C++ compiler.
+
+The development setup for XSD uses two configurations, for example:
+
+```
+git clone .../xsd.git
+cd xsd
+
+bdep init --empty
+
+bdep config create @host ../xsd-host --type host cc config.cxx=g++
+bdep config create @target ../xsd-target cc config.cxx=g++
+
+bdep init @host -d xsd
+bdep init @target -d libxsd -d libxsd-tests -d xsd-tests -d xsd-examples
+
+```
diff --git a/buildfile b/buildfile
index 856a678..c3c8909 100644
--- a/buildfile
+++ b/buildfile
@@ -1,7 +1,6 @@
-# file : buildfile
-# license : GNU GPL v2 + exceptions; see accompanying LICENSE file
+# Glue buildfile that "pulls" all the packages in the project.
+#
+import pkgs = [dir_paths] $process.run_regex(\
+ cat $src_root/packages.manifest, '\s*location\s*:\s*(\S+)\s*', '\1')
-# Glue buildfile that "pulls" all the packages.
-
-import pkgs = */
./: $pkgs
diff --git a/libxsd-tests/manifest b/libxsd-tests/manifest
index 8de8b24..0648894 100644
--- a/libxsd-tests/manifest
+++ b/libxsd-tests/manifest
@@ -9,7 +9,7 @@ url: https://www.codesynthesis.com/projects/xsd/
doc-url: https://www.codesynthesis.com/projects/xsd/
src-url: https://git.codesynthesis.com/cgit/xsd/xsd/tree/libxsd-tests/
email: xsd-users@codesynthesis.com ; Mailing list
-depends: * build2 >= 0.13.0
-depends: * bpkg >= 0.13.0
+depends: * build2 >= 0.14.0-
+depends: * bpkg >= 0.14.0-
depends: libxerces-c ^3.0.0
depends: libexpat ^2.1.0
diff --git a/libxsd/manifest b/libxsd/manifest
index 6715e28..43c40f6 100644
--- a/libxsd/manifest
+++ b/libxsd/manifest
@@ -12,6 +12,6 @@ doc-url: https://www.codesynthesis.com/projects/xsd/
src-url: https://git.codesynthesis.com/cgit/xsd/xsd/tree/libxsd/
email: xsd-users@codesynthesis.com ; Mailing list
build-warning-email: builds@codesynthesis.com
-depends: * build2 >= 0.13.0
-depends: * bpkg >= 0.13.0
+depends: * build2 >= 0.14.0-
+depends: * bpkg >= 0.14.0-
tests: libxsd-tests == $
diff --git a/xsd-examples/manifest b/xsd-examples/manifest
index 456f833..7bcd986 100644
--- a/xsd-examples/manifest
+++ b/xsd-examples/manifest
@@ -9,8 +9,8 @@ url: https://www.codesynthesis.com/projects/xsd/
doc-url: https://www.codesynthesis.com/projects/xsd/
src-url: https://git.codesynthesis.com/cgit/xsd/xsd/tree/xsd-examples/
email: xsd-users@codesynthesis.com ; Mailing list
-depends: * build2 >= 0.13.0
-depends: * bpkg >= 0.13.0
+depends: * build2 >= 0.14.0-
+depends: * bpkg >= 0.14.0-
depends: libxsd == $
depends: libxerces-c ^3.0.0
depends: libexpat ^2.1.0
diff --git a/xsd-tests/manifest b/xsd-tests/manifest
index 7e2e893..23cae47 100644
--- a/xsd-tests/manifest
+++ b/xsd-tests/manifest
@@ -9,7 +9,7 @@ url: https://www.codesynthesis.com/projects/xsd/
doc-url: https://www.codesynthesis.com/projects/xsd/
src-url: https://git.codesynthesis.com/cgit/xsd/xsd/tree/xsd-tests/
email: xsd-users@codesynthesis.com ; Mailing list
-depends: * build2 >= 0.13.0
-depends: * bpkg >= 0.13.0
+depends: * build2 >= 0.14.0-
+depends: * bpkg >= 0.14.0-
depends: libxsd == $
depends: libxerces-c ^3.0.0
diff --git a/xsd/build/bootstrap.build b/xsd/build/bootstrap.build
index aaf60f8..6c0d4ab 100644
--- a/xsd/build/bootstrap.build
+++ b/xsd/build/bootstrap.build
@@ -5,5 +5,6 @@ project = xsd
using version
using config
+using test
using dist
using install
diff --git a/xsd/manifest b/xsd/manifest
index db9720b..2db6662 100644
--- a/xsd/manifest
+++ b/xsd/manifest
@@ -11,13 +11,14 @@ doc-url: https://www.codesynthesis.com/projects/xsd/
src-url: https://git.codesynthesis.com/cgit/xsd/xsd/tree/xsd/
email: xsd-users@codesynthesis.com ; Mailing list
build-warning-email: builds@codesynthesis.com
+builds: host : &default
requires: c++11
-depends: * build2 >= 0.13.0
-depends: * bpkg >= 0.13.0
+depends: * build2 >= 0.14.0-
+depends: * bpkg >= 0.14.0-
# @@ Should probably become conditional dependency.
requires: ? cli ; Only required if changing .cli files.
depends: libxsd-frontend ^2.1.0-
depends: libcutl ^1.11.0-
depends: libxerces-c ^3.0.0
-tests: xsd-tests == $
-examples: xsd-examples == $
+tests: * xsd-tests == $
+examples: * xsd-examples == $